Public Attributes | List of all members
iso_set_cig_param_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter for setting cig. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | cig_id
uint32_t | sdu_int_m2s
uint32_t | sdu_int_s2m
uint8_t | sca
uint8_t | packing
uint8_t | framing
uint16_t | trans_latency_m2s
uint16_t | trans_latency_s2m
uint8_t | cis_cnt
iso_cis_param_t * | cis_param

## Detailed Description

The parameter for setting cig.

Definition at line 336 of file ble_iso.h.

## Member Data Documentation

## ◆ cig_id

uint8_t iso_set_cig_param_t::cig_id

Used to identify a CIG (0x00 to 0xEF).

Definition at line 338 of file ble_iso.h.

## ◆ cis_cnt

uint8_t iso_set_cig_param_t::cis_cnt

Total number of CISs (0x00 to 0x1F).

Definition at line 346 of file ble_iso.h.

## ◆ cis_param

iso_cis_param_t* iso_set_cig_param_t::cis_param

CIS parameter, see iso_cis_param_t.

Definition at line 347 of file ble_iso.h.

## ◆ framing

uint8_t iso_set_cig_param_t::framing

Unframed or Framed, see iso_framing_type_t.

Definition at line 343 of file ble_iso.h.

## ◆ packing

uint8_t iso_set_cig_param_t::packing

Sequential or Interleaved, see iso_packing_type_t.

Definition at line 342 of file ble_iso.h.

## ◆ sca

uint8_t iso_set_cig_param_t::sca

The worst-case sleep clock accuracy of all the slaves, see iso_sca_type_t.

Definition at line 341 of file ble_iso.h.

## ◆ sdu_int_m2s

uint32_t iso_set_cig_param_t::sdu_int_m2s

The interval, in microseconds, of periodic SDUs.(0x0000FF to 0xFFFFF).

Definition at line 339 of file ble_iso.h.

## ◆ sdu_int_s2m

uint32_t iso_set_cig_param_t::sdu_int_s2m

The interval, in microseconds, of periodic SDUs. (0x0000FF to 0xFFFFF).

Definition at line 340 of file ble_iso.h.

## ◆ trans_latency_m2s

uint16_t iso_set_cig_param_t::trans_latency_m2s

Maximum time, in milliseconds, for an SDU to be transported from the master Controller to slave Controller(0x0005 to 0x0FA0).

Definition at line 344 of file ble_iso.h.

## ◆ trans_latency_s2m

uint16_t iso_set_cig_param_t::trans_latency_s2m

Maximum time, in milliseconds, for an SDU to be transported from the slave Controller to master Controller(0x0005 to 0x0FA0).

Definition at line 345 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h